Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.ocsp
Class CertID

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.ocsp.CertID

All Implemented Interfaces:
  DEREncodable

    public class CertID

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`CertID(AlgorithmIdentifier hashAlgorithm, ASN1OctetString issuerNameHash, ASN1OctetString issuerKeyHash, DERInteger serialNumber)`
`CertID(ASN1Sequence seq)`

Method Summary
`AlgorithmIdentifier` `getHashAlgorithm()`
`static CertID` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static CertID` `getInstance(java.lang.Object obj)`
`ASN1OctetString` `getIssuerKeyHash()`
`ASN1OctetString` `getIssuerNameHash()`
`DERInteger` `getSerialNumber()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertID

    public CertID(AlgorithmIdentifier hashAlgorithm,
                  ASN1OctetString issuerNameHash,
                  ASN1OctetString issuerKeyHash,
                  DERInteger serialNumber)

### CertID

    public CertID(ASN1Sequence seq)

Method Detail

### getInstance

    public static CertID getInstance(ASN1TaggedObject obj,
                                     boolean explicit)

### getInstance

    public static CertID getInstance(java.lang.Object obj)

### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

### getIssuerNameHash

    public ASN1OctetString getIssuerNameHash()

### getIssuerKeyHash

    public ASN1OctetString getIssuerKeyHash()

### getSerialNumber

    public DERInteger getSerialNumber()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       CertID          ::=     SEQUENCE {
           hashAlgorithm       AlgorithmIdentifier,
           issuerNameHash      OCTET STRING, -- Hash of Issuer's DN
           issuerKeyHash       OCTET STRING, -- Hash of Issuers public key
           serialNumber        CertificateSerialNumber }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45